<?php
/**
 * @version     1.2.5
 * @package     Jshopping.Plugin
 * @subpackage  Jshopping.bifit
 *
 * @copyright   Copyright (C) 2023 BIFIT. All rights reserved.
 * @license     GNU General Public License version 2 or later
 */

defined("_JEXEC") or die();

class JFormFieldStatuses extends JFormField
{
	protected $type = "statuses";

	public function getInput()
	{
		$db = JFactory::getDbo();
		$db->setQuery(
			$db
				->getQuery(true)
				->select(
					"`status_id`, `status_code`, `name_" .
						JFactory::getLanguage()->getTag() .
						"` AS name"
				)
				->from("`#__jshopping_order_status`")
				->order("`status_id`")
		);
		$statuses = $db->execute() ? $db->loadObjectList() : [];
		$name = $this->name . "[]";
		$value = empty($this->value) ? "" : $this->value;

		return JHTML::_(
			"select.genericlist",
			$statuses,
			$name,
			'class="inputbox" id="statuses" multiple="multiple"',
			"status_id",
			"name",
			$value
		);
	}
}
